Bug 60032 - FILEOPEN,FILESAVE: .xlsx: import/export Excel 2013 new spreadsheet functions
Summary: FILEOPEN,FILESAVE: .xlsx: import/export Excel 2013 new spreadsheet functions
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: high enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-29 19:22 UTC by Eike Rathke
Modified: 2013-11-03 12:37 UTC (History)
0 users

See Also:


Attachments
testcase document (15.31 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-01-31 00:19 UTC, Eike Rathke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2013-01-29 19:22:00 UTC
Excel 2013 implements new spreadsheet functions, most for ODF / OpenFormula compatibility. See http://office.microsoft.com/en-us/excel-help/new-functions-in-excel-2013-HA103980604.aspx

Calc already knows most of them and "just" needs to import/export the known functions.
Comment 1 Eike Rathke 2013-01-29 19:23:37 UTC
Working on this.
Comment 2 Not Assigned 2013-01-31 00:07:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24bce470788aa34e5e1bb001250bfa14cee1c75e

import/export new Excel 2013 ODF functions, fdo#60032



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2013-01-31 00:19:28 UTC
Created attachment 73967 [details]
testcase document

The following functions are handled, name specialities are given as
(in parentheses the en-US UI name) [in brackets the ODFF name]

ACOT
ACOTH
ARABIC
BASE
BINOM.DIST.RANGE    (B)         [BINOM.DIST.RANGE]
BITAND
BITLSHIFT
BITOR
BITRSHIFT
BITXOR
COMBINA
COT
COTH
CSC
CSCH
DAYS
DECIMAL
FORMULATEXT         (FORMULA)   [FORMULA]
GAMMA
GAUSS
IFNA
IMCOSH
IMCOT
IMCSC
IMCSCH
IMSEC
IMSECH
IMSINH
IMTAN
ISFORMULA
MUNIT
PDURATION           (DURATION)  [PDURATION]
PERMUTATIONA
PHI
RRI
SEC
SECH
SHEET
SHEETS
UNICHAR
UNICODE
XOR

Notes:
UNICHAR(0) differs in that it does not generate an error in LibreOffice.
Comment 4 Eike Rathke 2013-02-05 12:40:54 UTC
With implementation of bug 57180 also NUMBERVALUE is imported/exported.
Comment 5 Eike Rathke 2013-02-08 09:55:46 UTC
With implementation of bug 60322 also SKEW.P (SKEWP) [SKEWP] is imported/exported.